Subject: [art] [Technical Errata Reported] RFC7239 (5275)

From: RFC Errata System <[email-masked]>
Date: Mon, 5 Mar 2018 21:25:31 -0800 (PST)

The following errata report has been submitted for RFC7239,
"Forwarded HTTP Extension".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5275

--------------------------------------
Type: Technical
Reported by: W. Trevor King <[email-masked]>

Section: 4

Original Text
-------------
Forwarded   = 1#forwarded-element

Corrected Text
--------------
Forwarded   = forwarded-element *(OWS "," OWS forwarded-element)
OWS = <Defined in [RFC7230], Section 3.2.3>

Notes
-----
Currently the only mention of commas in the RFC is in the text:

> A proxy server that wants to add a new "Forwarded" header field value can either append it to the last existing "Forwarded" header field after a comma separator or add a new field at the end of the header block.

This should be reflected in the ABNF.  The original ABNF suggests you just smash the forwarded-elements together with no delimiters.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7239 (draft-ietf-appsawg-http-forwarded-10)
--------------------------------------
Title               : Forwarded HTTP Extension
Publication Date    : June 2014
Author(s)           : A. Petersson, M. Nilsson
Category            : PROPOSED STANDARD
Source              : Applications Area Working Group APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Matthew Kerwin <[email-masked]>
Date: Tue, 6 Mar 2018 15:42:21 +1000

I think that's covered in Section 3:

"
   This specification uses the Augmented Backus-Naur Form (ABNF)
   notation of [RFC5234] with the list rule extension defined in Section
   7 of [RFC7230].
"

Note the hash symbol (#) in the ABNF rule you included.

Cheers

On 6 March 2018 at 15:25, RFC Errata System <[email-masked]> wrote:
> _______________________________________________
> art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/art

-- 
  Matthew Kerwin
  https://matthew.kerwin.net.au/